Bug 37167

Summary: make error: libtool: install: you must specify a destination
Product: Tomcat Connectors Reporter: Paul Thakur <pthakur>
Component: CommonAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: AIX   

Description Paul Thakur 2005-10-19 18:59:35 UTC
I am trying to compile mod_jk 1.2.14 using gcc 3.3.2 under AIX 5.3 for Apache 
2.0.54 and I get following results:

configure: no errors
make:  ends with error: 
     libtool: install: you must specify a destination
     make: 1254-004 The error code from the last command is 1.
make install: it does successfully create mod_jk.so in apsche2/modules folder

Is this a bug during make, should I ignore it?


-------- last few lines from 'make:---------
Target "all" is up to date.
Making all in apache-2.0
	/bin/sh /u01/app/arcims/apache2/build/libtool --silent --mode=compile 
gcc -I/u01/app/arcims/apache2/include -g -O2 -DUSE_APACHE_MD5 -I ../common  -
I /include -I /include/unix -U__STR__ -D_THREAD_SAFE -D_USE_IRS -g -O2 -
pthread -DHAVE_APR  -I/u01/app/arcims/source/apache2/httpd-
2.0.54/srclib/apr/include -I/u01/app/arcims/source/apache2/httpd-
2.0.54/srclib/apr-util/include -g -O2 -g -O2 -pthread -U__STR__ -D_THREAD_SAFE -
D_USE_IRS -c mod_jk.c -o mod_jk.lo
	/bin/sh /u01/app/arcims/apache2/build/libtool --silent --mode=link gcc -
I/u01/app/arcims/apache2/include -g -O2 -DUSE_APACHE_MD5 -I ../common  -
I /include -I /include/unix -U__STR__ -D_THREAD_SAFE -D_USE_IRS -g -O2 -
pthread -DHAVE_APR  -I/u01/app/arcims/source/apache2/httpd-
2.0.54/srclib/apr/include -I/u01/app/arcims/source/apache2/httpd-
2.0.54/srclib/apr-util/include -g -O2 -g -O2 -pthread -U__STR__ -D_THREAD_SAFE -
D_USE_IRS `/u01/app/arcims/apache2/bin/apxs -q LDFLAGS` -o mod_jk.la -module -
rpath /u01/app/arcims/apache2/modules -avoid-version 
mod_jk.lo ../common/jk_ajp12_worker.lo ../common/jk_connect.lo  ../common/jk_msg
_buff.lo ../common/jk_util.lo  ../common/jk_ajp13.lo ../common/jk_pool.lo  ../co
mmon/jk_worker.lo ../common/jk_ajp13_worker.lo  ../common/jk_lb_worker.lo ../com
mon/jk_sockbuf.lo  ../common/jk_map.lo ../common/jk_uri_worker_map.lo  ../common
/jk_ajp14.lo ../common/jk_ajp14_worker.lo  ../common/jk_md5.lo ../common/jk_shm.
lo   ../common/jk_ajp_common.lo ../common/jk_context.lo  ../common/jk_status.lo
	/bin/sh /u01/app/arcims/apache2/build/libtool --silent --mode=install 
cp  `pwd`/mod_jk.so
libtool: install: you must specify a destination
Try `libtool --help --mode=install' for more information.
make: 1254-004 The error code from the last command is 1.


Stop.
make: 1254-004 The error code from the last command is 1.


Stop.
Comment 1 Paul Querna 2005-10-19 19:07:21 UTC
This is a bug in the mod_jk build system. Moving.
Comment 2 Paul Thakur 2005-10-19 19:26:46 UTC
Is the compile good?
Comment 3 Ron Stangeland 2005-12-19 23:13:04 UTC
I have encountered the same error using mod_jk v1.2.15 for Apache v2.0.55 on 
AIX v5.2.0.  Are there any new updates on this bug?  It appears that mod_jk.so 
is created.  Does this imply a valid compile and can the new mod_jk.so be 
manually copied over to the appropriate location? Thanks.
Comment 4 Rajesh Chande 2006-01-27 06:50:32 UTC
(In reply to comment #3)

I have encountered the same error using mod_jk v1.2.15 (& mod_jk v1.2.6) for
Apache v2.0.54 on solaris 10.  Are there any new updates on this bug?  It
appears that mod_jk.so is created.  Does this imply a valid compile and can the
new mod_jk.so be manually copied over to the appropriate location? Thanks.

Comment 5 Mladen Turk 2006-03-17 08:35:43 UTC
Fixed in the SVN. See:
http://cvs.apache.org/viewcvs.cgi?rev=326453&view=rev